#region Copyright Syncfusion Inc. 2001-2018.
// Copyright Syncfusion Inc. 2001-2018. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using EJ2_Tab.Models;
using Syncfusion.EJ2.Navigations;

namespace EJ2_Tab.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {

            List<TabTabItem> tabItems = new List<TabTabItem>();
            tabItems.Add(new TabTabItem { Header = new TabHeader { Text = "DropDown" }, Content = "#Content1" });
            tabItems.Add(new TabTabItem { Header = new TabHeader { Text = "Scheduler" }, Content = "#Content2" });
            ViewBag.items = tabItems;
            return View();
        }

        public ActionResult PartialView1()
        {

            ViewBag.data = new string[] { "Badminton", "Basketball", "Cricket", "Football", "Golf", "Gymnastics", "Hockey", "Tennis" };

            return PartialView();
        }

        public IActionResult PartialView2()
        {
            return PartialView();
        }
        public IActionResult About()
        {
           

            return View();
        }

       
        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
